<?php

// db.lib.php
// 
// version 1.0
// Database functions. Currently only MySQL is supported.

function db_escape_string($s) {
	global $db_is_connected;

	return mysql_real_escape_string($s, db_connect());
}

function db_connect() {
	static $db_is_selected = FALSE;
	static $db_is_connected = FALSE;
	
	global $db_config;
	
	if (!$db_is_connected) {
		$db_is_connected = mysql_connect(
			$db_config['hostname'], 
			$db_config['username'],
			$db_config['password'])
			or stop ("Could not connect to host '$db_hostname'. Check username and password.");
	}
	if (!$db_is_selected) {
		$db_is_selected = mysql_select_db($db_config['database'])
			or stop ("Could not open database ".$db_config['database'].
			". Check if this database exists and that you (username: '".$db_config['username']."') have permission.");
	}
	
	return $db_is_connected;
}

function db_query($q_str, $die_on_error = FALSE) {
	
	db_connect();

	$result = mysql_query($q_str);
	if (!$result) {
		if ($die_on_error) {
			$result = "<p>The query:</p><p style='white-space:pre;background:silver;padding:3px'>$q_str</p><p>generated an error: <p style='padding:3px;background:silver'>".mysql_error()."</p>";
			db_stop ($result);
		} else {
			user_error("Query error: [".mysql_error(). "] SQL: [$q_str]");
		}
	}

	return $result;
}

/* Stop the script, after printing a message and the backtrace */
function db_stop($message) {
	echo $message;
	
	$arrBacktrace = array_reverse(debug_backtrace());
	array_pop($arrBacktrace);
	
	echo "<p>Backtrace:</p>";
	echo "<p style='white-space:pre;background:silver;padding:3px'>";
	foreach ($arrBacktrace as $key=>$value) {
		echo $value['file'].":".$value['line']." ".$value['function']."\n";
		if (count($value['args']) > 0) {
			echo "Arguments: ";
			formattedoutput($value['args']);
		}
	}
	echo "</p>";
	exit();
}

?>