<?php

// generic.lib.php
// Misc helper functions
function formattedoutput($array) {
   ksort($array);
   reset($array);
   echo "<table>";
   foreach($array as $f_name=>$f_value) {
       echo "<tr><td valign='top'><div align='right'>";
           if(!$f_value) { echo "<font color='red'>"; }
               echo $f_name;
           if(!$f_value) { echo "</font>"; }
       echo "&nbsp;:</div></td><td valign='top'><div align='left'>&nbsp;";
      
       if(is_array($f_value)) {
           formattedoutput($f_value);
       } else {
           echo $f_value;
       }
       echo "</div></td></tr>";
   }
   echo "</table>";
}

function passwd_score($passwd) {
	global $regex;
	
	$score = 0;
	
	if (strlen($passwd) >= 6) {
		if (preg_match($regex['lcase'], $passwd, $m)) {
			$score += count($m);
		}
		if (preg_match($regex['ucase'], $passwd, $m)) {
			$score += 1.3 * count($m);
		}
		if (preg_match($regex['number'], $passwd, $m)) {
			$score += 1.5 * count($m);
		}
		if (preg_match($regex['special'], $passwd, $m)) {
			$score += 2 * count($m);
		}
		if (preg_match($regex['extraspecial'], $passwd, $m)) {
			$score += 2.5 * count($m);
		}
	}
	
	return $score;
}

function mail_ok($email) {
	global $regex;
	return preg_match($regex['email-perl'], $email);
}

?>