<?php

include ("config/main.inc.php");

if (isset($_REQUEST['lost_username'])) {
	if (burp_user_exists($_REQUEST['lost_username'])) {
		$smarty->assign("message", 
			_s("Sent new login credentials to registered e-mail address."));
		$smarty->assign("title", _s("TBWB Service Lost Password"));
		$smarty->display("register-ok.tpl");
		
		$username = $_REQUEST['lost_username'];
		$email = burp_get_email($username);
		
		if (mail_ok($email)) {
			// email address is valid
			// we need to replace 'username', 'password' and MIME_Boundary
			// first, we create a new random password
			$password = "";
			for ($i = 0; $i <= 7; $i++) {
				$c = mt_rand(0, 2);
				switch ($c) {
					case 0: $l = chr(mt_rand(ord('a'), ord('z'))); break;
					case 1: $l = chr(mt_rand(ord('A'), ord('Z'))); break;
					case 2: $l = chr(mt_rand(ord('0'), ord('9'))); break;
					default: $l = ""; break;
					
				}
				$password .= $l;
			}
			$MIME_Boundary = "--------------LOSTPASS_EMAIL_BOUNDARY";
			$smarty->assign("username", $username);
			$smarty->assign("password", $password);
			$smarty->assign("MIME_Boundary", $MIME_Boundary);

			$headers =
				"From: ".$burp_config['mail_from']."\r\n".
				"X-Mailer: Burp v".$burp_config['version']."\r\n".
				"MIME-Version: 1.0\r\n".
				"Content-Type: multipart/alternative; boundary=\"$MIME_Boundary\"\r\n";

			if (file_exists(TPL_DIR . "lostpassword_email_".lc_current().".tpl")) {
				$tpl = "lostpassword_email_".lc_current().".tpl";
			} else {
				// fallback to english
				$tpl = "lostpassword_email_en_GB.tpl";
			}
			$message = $smarty->fetch($tpl);

			mail($email, _s("TBWB Service Website New Password"), $message, $headers);
			
			// do set the pass
			burp_set_password($username, $password);
		}
		
		
		die();
	} else {
		$smarty->assign("message", _s("Username does not exist."));
		$smarty->assign("lost_username", $_REQUEST['lost_username']);
	}
}

$smarty->assign("index", "lostpassword.php");
$smarty->display("lostpassword.tpl");

?>