<?php

include ("config/main.inc.php");

if (isset ($_REQUEST['reg_username'])) {
	// check data
	// reg_username, reg_password, reg_email
	$reg_username = @$_REQUEST['reg_username'];
	$reg_password = @$_REQUEST['reg_password'];
	$reg_email = @$_REQUEST['reg_email'];

	$smarty->assign("reg_username", $reg_username);
	$smarty->assign("reg_email", $reg_email);
	
	// username, OK if:
	// doesn't exist and has only ^[a-zA-Z0-9_\.]+$
	if (!preg_match("/".$regex['username']."/", $reg_username)) {
		$smarty->assign("message", _s("Invalid username."));
	} else if (burp_user_exists($reg_username)) {
		$smarty->assign("message", _s("User already exists."));
	} else if (!mail_ok($reg_email)) { 
		$smarty->assign("message", _s("Invalid e-mail address."));
	} else if (passwd_score($reg_password) >= 11) {
		// pretty basic check, it should just be longer than 5 characters
		$smarty->assign("message", _s("Password not strong enough."));
	} else {
		// Yay! Everything turned out OK, start the registration
		if (burp_add_user($reg_username, $reg_password, $reg_email)) {
			burp_send_activation_code($reg_username);
			$smarty->assign("title", _s("TBWB Service Registration Successfull"));
			$__t = sprintf("<div>A message was sent to <b>%s</b> with further instructions.</div>", $reg_email);
			$smarty->assign("message", _s($__t));
		} else {
			$smarty->assign("title", _s("TBWB Service Registration Unsuccessfull"));
			$smarty->assign("message", _s(
				"<div>Could not register new user. Contact TBWB to solve this issue.</div>"
			));
			
		}
		$smarty->display("register-ok.tpl");
		die();				
	}
	

} else {
	// empty register form
	$smarty->assign("message", "");
	$smarty->assign("reg_username", "");
	$smarty->assign("reg_email", "");	
}

$smarty->display("register.tpl");

?>