<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Strict//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>{@TBWB Service Register}</title>
<link rel="stylesheet" type="text/css" href="{$webroot}css/generic.css">
<link rel="stylesheet" type="text/css" href="{$webroot}css/register.css">
<link rel="stylesheet" type="text/css" href="{$webroot}js/dijit/themes/tundra/tundra.css">
<script type="text/javascript" src="{$webroot}js/dojo/dojo.js"></script>
<script type="text/javascript" src="{$webroot}js/transfer.js.php"></script>
<script type="text/javascript" src="{$webroot}js/register.js"></script>
<script type="text/javascript" src="{$webroot}js/generic.js"></script>


</head>
<body onload="init()" class="tundra">
<div id="register" class="fullscreenform">
<div id="flags">
	<a href="register.php?lc=nl_NL"><img src="img/flag_nl.png"></a>
	<a href="register.php?lc=en_GB"><img src="img/flag_uk.png"></a>
	<a href="register.php?lc=de_DE"><img src="img/flag_de.png"></a>
</div>
<div id="nav">
	<a href="index.php">{@Home}</a>
</div>

<h2 id="reg_title">{@TBWB Service Register Form}</h2>
	<form action="{$index}" method="post" name="login">
	<table>
		<tr>
			<td colspan="2" class="message">{$message}</td>
		</tr>
		
		<!-- the form fields -->
		<tr>
			<td class="left"><span id="lbl_reg_username">{@Username}</span></td>
			<td class="right">
				<img src="img/questionmark.png" id="qm_username" class="questionmark">
				<input onblur="check_username()" type="text" size="15" id="reg_username" name="reg_username" value="{$reg_username}">
				<img src="img/ok.png" id="ok_username" class="ok">
				<span class="validation_msg" id="reg_user_msg"></span>
			</td>
		</tr>
		<tr>
			<td class="left">{@Password}</td>
			<td class="right">
				<img src="img/questionmark.png" id="qm_password" class="questionmark">
				<input type="password" value="" onkeyup="check_password()" 
					size="25" id="reg_password" name="reg_password">
				<img src="img/ok.png" id="ok_password" class="ok">
				<img height="8px" src="" class="gauge" id="pw_gauge_color"><img height="8px" src="" class="gauge" id="pw_gauge_silver">
				<span class="validation_msg" id="reg_pass_msg"></span>
			</td>
		</tr>
		<tr>
			<td class="left">{@Password again}</td>
			<td class="right">
				<img src="img/questionmark.png" id="qm_password2" class="questionmark">
				<input type="password" value="" onblur="check_password2()" 
					size="25" id="reg_password2" name="reg_password2">
				<img src="img/ok.png" id="ok_password2" class="ok">
				<span class="validation_msg" id="reg_pass2_msg"></span>
			</td>
		</tr>
		<tr>
			<td class="left">{@E-mail}</td>			
			<td class="right">
			<img src="img/questionmark.png" id="qm_email" class="questionmark">
			<input type="text" size="25" id="reg_email"
				onkeyup="check_email()" 
				name="reg_email"
				value="{$reg_email}">
			<img src="img/ok.png" id="ok_email" class="ok">
			<span class="validation_msg" id="reg_email_msg"></span>
			</td>				
		</tr>
		
		<tr>
			<td colspan="2">
				<input class="submit" type="submit" value="{@OK}" id="btnSubmit" onclick="document.login.submit(); return false;">
			</td>
		</tr>
	</table>
	</form>
</div>

</body>
</html>